Skip to main content
POST
/
dir
/
{dir_id}
/
submit
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.dir.submit('16635d38-75a6-4481-82e8-69af60e05011');

console.log(response.data);
{
  "data": {
    "id": "16635d38-75a6-4481-82e8-69af60e05011",
    "enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
    "display_name": "Acme Plumbing",
    "reselling": false,
    "certify_brand_is_accurate": true,
    "certify_no_shaft_content": true,
    "certify_ip_ownership": true,
    "authorizer_name": "Sam Owner",
    "authorizer_email": "sam@acmeplumbing.example.com",
    "logo_url": "https://acmeplumbing.example.com/logo-256.bmp",
    "call_reasons": [
      {
        "reason": "Appointment reminders",
        "created_at": "2026-04-26T18:06:51.940749Z"
      }
    ],
    "documents": [
      {
        "document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
        "document_type": "business_registration",
        "description": "Certificate of incorporation."
      }
    ],
    "rejection_reasons": [
      {
        "code": "documentation_incomplete",
        "title": "Documentation incomplete",
        "detail": "Provided documents do not establish business identity.",
        "message": "Please re-upload a clearer scan of the certificate."
      }
    ],
    "rejected_at": "2023-11-07T05:31:56Z",
    "created_at": "2026-04-26T18:06:51.940749Z",
    "updated_at": "2026-04-26T18:09:24.785211Z",
    "submitted_at": "2026-04-26T18:07:03.716411Z",
    "verified_at": "2026-04-26T18:07:29.537926Z",
    "expiring_at": "2027-04-26T18:07:29.537981Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dir_id
string<uuid>
required

The DIR id. Lowercase UUID.

Example:

"16635d38-75a6-4481-82e8-69af60e05011"

Response

DIR submitted.

data
object
required